SECTION="kernel"
LICENSE="GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=d7810fab7487fb0aad327b76f1be7cd7"
PV = "6.0.52-bs"
SRC_URI = "http://should-already-be-in-dl-dir/linux-3.3-6.0.52-bs.tar.gz file://${BASE_MACHINE}.config file://sha256sign.py"
SRC_URI[md5sum] = "77402960bd3738cee7151d1b08f406d1"
SRC_URI[sha256sum] = "8194097852ca34e445ea9eeb244bb49cef3e7dcfcf0bbc57dd8c5c8d54d8d1ca"
COMPATIBLE_MACHINE = "bobcat(-td)?"
PN = "linux-bcm7425"

KERNEL_IMAGETYPE = "vmlinuz"
KERNEL_IMAGETYPE_arm = "zImage"
KERNEL_IMAGE_BASE_NAME = "${KERNEL_IMAGETYPE}"
KERNEL_OUTPUT_mipsel = "${KERNEL_IMAGETYPE}"

inherit kernel
PKG_kernel-image = "kernel-image"

DEPENDS += "lzop-native"

do_configure_prepend() {
	cp "${WORKDIR}/${BASE_MACHINE}.config" "${S}/.config"
}
