SRC_URI = "http://unifoundry.com/pub/unifont-8.0.01/font-builds/unifont-${PV}.ttf"
SRC_URI[md5sum] = "dfa31e50b5f1b21fd869420b935cf38b"
SRC_URI[sha256sum] = "742256882af2c9ee5484e915254a6d298e3c6b3f5772a17363e2002280158f3c"

inherit allarch

LICENSE = "GPL"

# Don't try to sanity check the licence
do_configure[postfuncs] := "${@oe.utils.str_filter_out('do_qa_configure', d.getVarFlags('do_configure')['postfuncs'], d)}"

do_install() {
    install -d ${D}${datadir}/fonts/ttf
    install -m 0644 ${WORKDIR}/unifont-${PV}.ttf ${D}${datadir}/fonts/ttf/unifont.ttf
    install -d ${D}/opt/roku/sys
    ln -sf ../../..${datadir}/fonts/ttf/unifont.ttf ${D}/opt/roku/sys/unifont.ttf
}

FILES_${PN} += "${datadir}/fonts /opt/roku/sys"

